This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 205040 - Review Request: geda-gnetlist - Netlister for the gEDA project
Review Request: geda-gnetlist - Netlister for the gEDA project
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Package Reviews List
:
: 177113 (view as bug list)
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-09-02 17:41 EDT by Chitlesh GOORAH
Modified: 2008-12-22 22:24 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-05 10:42:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Chitlesh GOORAH 2006-09-02 17:41:17 EDT
Spec URL: http://chitlesh.funpic.de/rpm/geda-gnetlist.spec
SRPM URL: http://chitlesh.funpic.de/rpm/geda-gnetlist-20060123-3.src.rpm
Description: <description here>
Comment 1 Chitlesh GOORAH 2006-09-02 17:44:02 EDT
*** Bug 177113 has been marked as a duplicate of this bug. ***
Comment 2 Chitlesh GOORAH 2006-09-02 17:45:10 EDT
%description
Gnetlist generates netlists from schematics drawn with gschem
(the gEDA schematic editor). Possible output formats are:
- native
- tango
- spice
- allegro
- PCB
- verilog
and others.
Comment 3 Chitlesh GOORAH 2006-09-02 18:25:11 EDT
Usage:

view the schema
gschem /usr/share/gEDA/examples/stack_1.sch

convert the schema into a netlist
gnetlist -g geda -o stack.net /usr/share/gEDA/examples/stack_1.sch

kwrite/gedit stack.net
Comment 4 Mamoru TASAKA 2006-09-03 11:49:18 EDT
First review of geda-gnetlist.
Seems almost okay and I hope I can change the status
of this bug soon.

1. From http://fedoraproject.org/wiki/Packaging/Guidelines :

   * BuildRequires:
     - libpng-devel <- required by gd-devel
                    <- required by libgeda-devel

   * Timestamps:
     - Well, this package contains many text files, too.
     Again 'INSTALL="install -c -p" ' method seems to work
     well.

2. From http://fedoraproject.org/wiki/Packaging/ReviewGuidelines :

   = Nothing.

3. Other things I have noticed :

   = Well, the test case you showed in the comment #3 was
     successfully done.
Comment 6 Mamoru TASAKA 2006-09-04 10:11:09 EDT
Okay. No problem.

This package (geda-gnetlist) is now APPROVED by me.
Comment 7 Chitlesh GOORAH 2008-12-21 14:49:32 EST
New Package CVS Request
=======================
Package Name: geda-gnetlist
Short Description: Netlister for the gEDA project
Owners: chitlesh
Branches: EL-5
Comment 8 Kevin Fenzi 2008-12-22 22:24:28 EST
cvs done.

Note You need to log in before you can comment on or make changes to this bug.